Skip to main content
PATCH
Approve, reject, or revert form element submission

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

formElementSubmissionId
string
required

Body

application/json
action
enum<string>
required
Available options:
approve,
reject,
revert
reason
string

Response

Successful response

id
string
required
formSubmissionId
string
required
formElementId
string
required
periodUnit
number
required
sequence
number
required
activityId
string | null
required
status
enum<string>
required
Available options:
COMPLETED,
APPROVED,
REJECTED
createdAt
string
required
updatedAt
string
required
organizationId
string | null
required
docs
any[]
required
recordedAt
string | null
required
value
any
originalValue
unknown
selectedUnitId
string | null
comments
any[]